
# Fedora Review:
# http://bugzilla.redhat.com/194278

Summary: Administrative tools for KDE
Name:	 kdeadmin
Group: 	 User Interface/Desktops
Epoch:	 7
Version: 3.5.6
Release: 1%{?dist}

License: GPL
URL:	 http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Not used, error-prone, use default kdesu instead
#Requires: usermode
Source1: kuser.pam
Source2: kuser.pamd
Source3: kpackage.pam
Source4: kpackage.pamd
# kdesu
Requires: kdebase

# Sane app defaults
Source10: kpackagerc
Source11: ksysvrc
Source12: kuserrc

BuildRequires: kdelibs-devel >= 6:%{version}
## kpackage
BuildRequires: rpm-devel
# (may be) needed for legacy releases 
#BuildRequires: bzip2-devel
# kpackage can use apt, if installed 
#Requires(hint): apt

Requires: kdelibs >= 6:%{version}
# knetworkconf includes .pc file
Requires: pkgconfig
Requires(post):   xdg-utils
Requires(postun): xdg-utils

%description
Administrative tools for the K Desktop Environment (KDE), including:
kcron, kdat, knetworkconf, kpackage, ksysv, kuser.


%prep
%setup -q 


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --with-rpm \
  --with-private-groups 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/config/
install -p -m644 %{SOURCE10} %{SOURCE11} %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/config/

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  

# rpmdocs
for dir in kcron kdat knetworkconf kpackage ksysv kuser ; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done


%post
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc rpmdocs/*
%{_bindir}/*
%{_datadir}/apps/*
%{_datadir}/applications/kde/*.desktop
%config %{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*.desktop
%{_libdir}/kde3/*.[ls][ao]
%{_libdir}/pkgconfig/*.pc


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-1
- kde-3.5.6

* Wed Dec 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-2
- Req: xdg-utils

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-1
- 3.5.5

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-1
- kde-3.5.4
- add missing URL tag

* Fri Jul 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-3
- Requires(post,postun): desktop-file-utils
- drop BR: bzip2-devel

* Mon Jun 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2
- cleanup for Extras
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- follow icon spec
- use default(upstream) kdesu instead of usermode(gtk).

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3

* Wed May 17 2006 Than Ngo <than@redhat.com> 7:3.5.2-2
- add support Fedora Core release 5

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 7:3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 7:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 7:3.5.0-1
- 3.5 final

* Fri Oct  7 2005 Tomas Mraz <tmraz@redhat.com>
- use include instead of pam_stack in pam config

* Tue Sep 20 2005 Than Ngo <than@redhat.com> 7:3.4.2-2 
- fix kcron crashes when a variable is selected #168770

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 7:3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 7:3.4.1-2
- enable kuser #161051

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 7:3.4.1-1
- 3.4.1

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-1
- update to 3.3.0 release

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1 
- update to 3.2.3

* Tue May 25 2004 Than Ngo <than@redhat.com> 7:3.2.2-3
- disable kcmlinuz

* Tue May 04 2004 Than Ngo <than@redhat.com> 7:3.2.2-2
- cleanup GNOME/KDE menu

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 7:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 3.1.95-0.2
- cleanup specfile

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- update kisdndock 1.0.2
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- build against gcc-3.3-12
- add define macro for lilo

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 3.1-2
- fix #84665
- get rid of gcc path from dependency_libs

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- remove unneeded size_t check patch
- cleanup specfile

